|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionQ3DockWindow Class Reference

The QStyleOptionQ3DockWindow class is used to describe the parameters for drawing various parts of Q3DockWindows. More...

    #include <QStyleOptionQ3DockWindow>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Properties

- closeEnabled : const bool
- docked : const bool

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionQ3DockWindow ()
- QStyleOptionQ3DockWindow ( const QStyleOptionQ3DockWindow & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3DockWindow class is used to describe the parameters for drawing various parts of Q3DockWindows.

This class is used for drawing the old Q3DockWindow and its parts. It is not recommended for new classes.

## Property Documentation

### closeEnabled : const bool

This property holds indicates that the dock window has a close button.

### docked : const bool

This property holds indicates that the dock window is currently docked.

## Member Function Documentation

### QStyleOptionQ3DockWindow::QStyleOptionQ3DockWindow ()

Constructs a QStyleOptionQ3DockWindow. The member variables are initialized to default values.

### QStyleOptionQ3DockWindow::QStyleOptionQ3DockWindow ( const QStyleOptionQ3DockWindow & other )